Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598703 - [abrt] crash in dstat-0.7.1-1.fc12: dstat:2160:listplugins:NameError: global name 're' is not defined
Summary: [abrt] crash in dstat-0.7.1-1.fc12: dstat:2160:listplugins:NameError: global ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dstat
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:05ba90b3
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 20:56 UTC by jambus85
Modified: 2010-06-03 07:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-03 07:14:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-06-01 20:56 UTC, jambus85
no flags Details

Description jambus85 2010-06-01 20:56:52 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/bin/dstat -lcl
component: dstat
executable: /usr/bin/dstat
kernel: 2.6.32.11-99.fc12.i686
package: dstat-0.7.1-1.fc12
reason: dstat:2160:listplugins:NameError: global name 're' is not defined
release: Fedora release 12 (Constantine)

backtrace
-----
dstat:2160:listplugins:NameError: global name 're' is not defined

Traceback (most recent call last):
  File "/usr/bin/dstat", line 2513, in <module>
    op = Options(sys.argv[1:])
  File "/usr/bin/dstat", line 95, in __init__
    allplugins = listplugins()
  File "/usr/bin/dstat", line 2160, in listplugins
    remod = re.compile('dstat_(.+)$')
NameError: global name 're' is not defined

Local variables in innermost frame:
plugins: []

Comment 1 jambus85 2010-06-01 20:56:54 UTC
Created attachment 418824 [details]
File: backtrace

Comment 2 Jan Zeleny 2010-06-02 06:45:09 UTC
Can you please write steps to reproduce? Without them I can't confirm this bug and to be honest, it seems as a false positive

Comment 3 jambus85 2010-06-02 14:23:08 UTC
Sorry, I can't remember the situation when this bug occured.

Comment 4 Jan Zeleny 2010-06-03 07:14:24 UTC
Ok then. I'm closing this bug. If the situation reappears, feel free to reopen it, but please add a some more information.


Note You need to log in before you can comment on or make changes to this bug.